## mcs-manager

mcs-manager

## Synopsis

                        McsManager;
    void                (*McsTerminateFunc)                 (void *cb_data);
    void                (*McsShowRequestFunc)               (gchar *path,
                                                             void *cb_data);
    McsManager*         mcs_manager_new                     (gboolean std_mcs,
                                                             Display *display,
                                                             int screen,
                                                             McsTerminateFunc terminate,
                                                             McsShowRequestFunc show,
                                                             void *cb_data);
    void                mcs_manager_destroy                 (McsManager *manager);
    Window              mcs_manager_get_std_window          (McsManager *manager);
    Window              mcs_manager_get_mcs_window          (McsManager *manager);
    gboolean            mcs_manager_process_event           (McsManager *manager,
                                                             XEvent *xev);
    McsChannel*         mcs_manager_add_channel             (McsManager *manager,
                                                             const gchar *channel_name);
    void                mcs_manager_delete_channel          (McsManager *manager,
                                                             const gchar *channel_name);
    McsResult           mcs_manager_set_setting             (McsManager *manager,
                                                             McsSetting *setting,
                                                             const gchar *channel_name);
    McsResult           mcs_manager_delete_setting          (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name);
    McsResult           mcs_manager_set_int                 (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name,
                                                             int value);
    McsResult           mcs_manager_set_string              (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name,
                                                             const gchar *value);
    McsResult           mcs_manager_set_color               (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name,
                                                             McsColor *value);
    McsResult           mcs_manager_notify                  (McsManager *manager,
                                                             const gchar *channel_name);
    McsList*            mcs_manager_list_lookup             (McsManager *manager,
                                                             const gchar *channel_name);
    McsSetting*         mcs_manager_setting_lookup          (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name);
    McsChannel*         mcs_manager_add_channel_from_file   (McsManager *manager,
                                                             const gchar *channel_name,
                                                             const gchar *filename);
    gboolean            mcs_manager_save_channel_to_file    (McsManager *manager,
                                                             const gchar *channel_name,
                                                             const gchar *filename);

## Description

## Details

### McsManager

    typedef struct _McsManager McsManager;

### McsTerminateFunc ()

    void                (*McsTerminateFunc)                 (void *cb_data);

`cb_data` : |

### McsShowRequestFunc ()

    void                (*McsShowRequestFunc)               (gchar *path,
                                                             void *cb_data);

`path` : |
`cb_data` : |

### mcs_manager_new ()

    McsManager*         mcs_manager_new                     (gboolean std_mcs,
                                                             Display *display,
                                                             int screen,
                                                             McsTerminateFunc terminate,
                                                             McsShowRequestFunc show,
                                                             void *cb_data);

`std_mcs` : |
`display` : |
`screen` : |
`terminate` : |
`show` : |
`cb_data` : |
Returns : |

### mcs_manager_destroy ()

    void                mcs_manager_destroy                 (McsManager *manager);

`manager` : |

### mcs_manager_get_std_window ()

    Window              mcs_manager_get_std_window          (McsManager *manager);

`manager` : |
Returns : |

### mcs_manager_get_mcs_window ()

    Window              mcs_manager_get_mcs_window          (McsManager *manager);

`manager` : |
Returns : |

### mcs_manager_process_event ()

    gboolean            mcs_manager_process_event           (McsManager *manager,
                                                             XEvent *xev);

`manager` : |
`xev` : |
Returns : |

### mcs_manager_add_channel ()

    McsChannel*         mcs_manager_add_channel             (McsManager *manager,
                                                             const gchar *channel_name);

`manager` : |
`channel_name` : |
Returns : |

### mcs_manager_delete_channel ()

    void                mcs_manager_delete_channel          (McsManager *manager,
                                                             const gchar *channel_name);

`manager` : |
`channel_name` : |

### mcs_manager_set_setting ()

    McsResult           mcs_manager_set_setting             (McsManager *manager,
                                                             McsSetting *setting,
                                                             const gchar *channel_name);

`manager` : |
`setting` : |
`channel_name` : |
Returns : |

### mcs_manager_delete_setting ()

    McsResult           mcs_manager_delete_setting          (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name);

`manager` : |
`name` : |
`channel_name` : |
Returns : |

### mcs_manager_set_int ()

    McsResult           mcs_manager_set_int                 (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name,
                                                             int value);

`manager` : |
`name` : |
`channel_name` : |
`value` : |
Returns : |

### mcs_manager_set_string ()

    McsResult           mcs_manager_set_string              (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name,
                                                             const gchar *value);

`manager` : |
`name` : |
`channel_name` : |
`value` : |
Returns : |

### mcs_manager_set_color ()

    McsResult           mcs_manager_set_color               (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name,
                                                             McsColor *value);

`manager` : |
`name` : |
`channel_name` : |
`value` : |
Returns : |

### mcs_manager_notify ()

    McsResult           mcs_manager_notify                  (McsManager *manager,
                                                             const gchar *channel_name);

`manager` : |
`channel_name` : |
Returns : |

### mcs_manager_list_lookup ()

    McsList*            mcs_manager_list_lookup             (McsManager *manager,
                                                             const gchar *channel_name);

`manager` : |
`channel_name` : |
Returns : |

### mcs_manager_setting_lookup ()

    McsSetting*         mcs_manager_setting_lookup          (McsManager *manager,
                                                             const gchar *name,
                                                             const gchar *channel_name);

`manager` : |
`name` : |
`channel_name` : |
Returns : |

### mcs_manager_add_channel_from_file ()

    McsChannel*         mcs_manager_add_channel_from_file   (McsManager *manager,
                                                             const gchar *channel_name,
                                                             const gchar *filename);

`manager` : |
`channel_name` : |
`filename` : |
Returns : |

### mcs_manager_save_channel_to_file ()

    gboolean            mcs_manager_save_channel_to_file    (McsManager *manager,
                                                             const gchar *channel_name,
                                                             const gchar *filename);

`manager` : |
`channel_name` : |
`filename` : |
Returns : |